/******************************************************************************
 * Board_Command.java - Send a Board to a client.
 * $Id: Board_Command.java,v 1.4 2011/06/07 20:15:23 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: Board_Command.java,v $
 * Revision 1.4  2011/06/07 20:15:23  dick
 * outBoard() takes a Player, not a JibsWriter.
 *
 * Revision 1.3  2011/06/05 05:53:47  dick
 * Watchers can make a board command, too.
 *
 * Revision 1.2  2011/05/31 13:02:43  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.command;

import net.sourceforge.jibs.backgammon.BackgammonBoard;
import net.sourceforge.jibs.backgammon.JibsGame;
import net.sourceforge.jibs.server.JibsServer;
import net.sourceforge.jibs.server.Player;

/** Send a Board to a client.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.4 $ <br> $Date: 2011/06/07 20:15:23 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/command/Board_Command.java">cvs Board_Command.java</a>
 */
public class Board_Command implements JibsCommand {
	public boolean execute(JibsServer jibsServer, Player player,
			String strArgs, String[] args) {
		JibsGame game = player.getGame();
		String pname = "You";
		Player playerXO = player;
		if (game == null) {
			playerXO = player.getWatchingPlayer();
			game = playerXO.getGame();
			pname = playerXO.getName();
			
		}
		if (game != null) {
			BackgammonBoard board = game.getBackgammonBoard();
			int turn = board.getTurn();

			if (board.isPlayerX(playerXO)) {
				board.outBoard(player, pname, turn,
						board.getpDie1().getValue(),
						board.getpDie2().getValue(),
						board.getoDie1().getValue(),
						board.getoDie2().getValue());
			} else {
				BackgammonBoard opBoard = board.switch2O();
				opBoard.outBoard(player, pname, turn,
						opBoard.getpDie1().getValue(),
						opBoard.getpDie2().getValue(),
						opBoard.getoDie1().getValue(),
						opBoard.getoDie2().getValue());
			}
		}

		return true;
	}
}
